Bug 1600329 - nwfilter-binding-undefine list in virsh man page but not exists when execute
Summary: nwfilter-binding-undefine list in virsh man page but not exists when execute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Erik Skultety
QA Contact: yalzhang@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 01:53 UTC by yalzhang@redhat.com
Modified: 2018-10-30 09:59 UTC (History)
6 users (show)

Fixed In Version: libvirt-4.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 09:58:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3113 None None None 2018-10-30 09:59:15 UTC

Description yalzhang@redhat.com 2018-07-12 01:53:20 UTC
Description of problem:
nwfilter-binding-undefine list in virsh man page but not exists when execute

Version-Release number of selected component (if applicable):
libvirt-4.5.0-2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. check in virsh man page, there is a new command added as below
"nwfilter-binding-undefine port-name
Disassociate a network port from a network filter. The network filter backend will immediately tear down the filter rules that exist on the port."

2. but it do not exists
# virsh nwfilter-binding-undefine 
error: unknown command: 'nwfilter-binding-undefine'


Actual results:
nwfilter-binding-undefine command do not exists while it list in the virsh man page

Expected results:
the cmd is available

Additional info:

Comment 2 Han Han 2018-07-12 06:06:00 UTC
The sub command should be nwfilter-binding-delete not nwfilter-binding-undefine.
Patch:
https://www.redhat.com/archives/libvir-list/2018-July/msg00737.html

Comment 3 Han Han 2018-07-13 08:58:45 UTC
Upstream commit:
commit 955c4318bf7a74d717ce5ce8b3a9040ad657a94c
Author: Han Han <hhan@redhat.com>
Date:   Thu Jul 12 12:40:09 2018 +0800

    virsh.pod: Fix a command name typo in nwfilter-binding-undefine
    
    The true name of the command is nwfilter-binding-delete.
    
    Signed-off-by: Han Han <hhan@redhat.com>
    Reviewed-by: Erik Skultety <eskultet@redhat.com>

Change to POST status

Comment 6 yalzhang@redhat.com 2018-07-19 02:27:40 UTC
Test on libvirt-4.5.0-3.el7.x86_64, it looks correct and works well.

1. check the man page:
   "nwfilter-binding-delete port-name
           Disassociate a network port from a network filter. The network filter backend will immediately tear down the filter rules that exist on the port."

2. check the command works well
# virsh nwfilter-binding-list
 Port Dev              Filter               
------------------------------------------------------------------
 vnet0                 clean-traffic       

# ebtables -t nat -L
====> there is rules here

# virsh nwfilter-binding-delete vnet0
Network filter binding on vnet0 deleted

# virsh nwfilter-binding-list
 Port Dev              Filter               
------------------------------------------------------------------

===> the binding is deleted.

# ebtables -t nat -L
====> the rules are deleted

# virsh nwfilter-binding-delete 
error: command 'nwfilter-binding-delete' requires <binding> option

# virsh nwfilter-binding-delete vnet1
error: failed to get nwfilter binding 'vnet1'
error: Network filter binding not found: no nwfilter binding for port dev 'vnet1'

Comment 8 errata-xmlrpc 2018-10-30 09:58:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3113


Note You need to log in before you can comment on or make changes to this bug.